Retrieve exchange resource
Returns details for a specific exchange connection between Dwolla and an open banking partner for a customer’s bank account. Includes exchange status, creation date, and links to the associated customer and exchange partner.
For card exchanges created from an exchange session that requested an Account Name Inquiry
(ANI), the response also includes cardDetails.accountNameInquiry with the name-match result.
Read this value before creating a card funding source to get an early signal of fraudulent
card usage.
GET https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
...
{
"_links": {
"self": {
"href": "https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "exchange"
},
"exchange-partner": {
"href": "https://api.dwolla.com/exchange-partners/9b55a4b3-34ae-4607-b2d1-622f1eed77f9",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "exchange-partner"
}
},
"id": "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a",
"status": "active",
"created": "2022-10-21T21:41:03.283Z"
}
# Card exchange with an Account Name Inquiry (ANI) result
GET https://api-sandbox.dwolla.com/exchanges/d46b028c-244b-4054-b19b-72f09cd1dc04
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
...
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/exchanges/d46b028c-244b-4054-b19b-72f09cd1dc04",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "exchange"
},
"exchange-partner": {
"href": "https://api-sandbox.dwolla.com/exchange-partners/d652517d-9c02-4ea4-87af-2977e6cf3850",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "exchange-partner"
}
},
"id": "d46b028c-244b-4054-b19b-72f09cd1dc04",
"status": "active",
"created": "2026-02-20T10:14:02.118Z",
"cardDetails": {
"accountNameInquiry": "full-match"
}
}// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var exchangeUrl = "https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a";
token.get(exchangeUrl).then((res) => res.body.id); // => "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a"
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
exchange_url = 'https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a'
exchange = app_token.get(exchange_url)
exchange.body['id'] # => 'e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$exchangesApi = new ExchangesApi($apiClient);
$exchangeUrl = "https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a";
$exchange = $exchangesApi->getExchange($exchangeUrl);
$exchange->id; # => "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
exchange_url = 'https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a'
exchange = app_token.get exchange_url
exchange.id # => "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a"
{
"_links": {},
"id": "d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e",
"status": "active",
"created": "2022-07-23T00:18:21.419Z",
"cardDetails": {
"accountNameInquiry": "full-match"
}
}{
"code": "InvalidScope",
"message": "The scopes for retrieving an exchange resource is not enabled for this application. Reach out to Dwolla for more information."
}{
"code": "NotFound",
"message": "The requested resource was not found. Check Exchange ID."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
application/vnd.dwolla.v1.hal+json Path Parameters
Exchange resource unique identifier.
"e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a"
Response
successful operation
Show child attributes
Show child attributes
"d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e"
active, deactivated, removed "active"
"2022-07-23T00:18:21.419Z"
Card-specific details. Only present for card exchanges where an Account Name Inquiry (ANI) was requested on the exchange session.
Show child attributes
Show child attributes
Was this page helpful?
GET https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
...
{
"_links": {
"self": {
"href": "https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "exchange"
},
"exchange-partner": {
"href": "https://api.dwolla.com/exchange-partners/9b55a4b3-34ae-4607-b2d1-622f1eed77f9",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "exchange-partner"
}
},
"id": "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a",
"status": "active",
"created": "2022-10-21T21:41:03.283Z"
}
# Card exchange with an Account Name Inquiry (ANI) result
GET https://api-sandbox.dwolla.com/exchanges/d46b028c-244b-4054-b19b-72f09cd1dc04
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
...
{
"_links": {
"self": {
"href": "https://api-sandbox.dwolla.com/exchanges/d46b028c-244b-4054-b19b-72f09cd1dc04",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "exchange"
},
"exchange-partner": {
"href": "https://api-sandbox.dwolla.com/exchange-partners/d652517d-9c02-4ea4-87af-2977e6cf3850",
"type": "application/vnd.dwolla.v1.hal+json",
"resource-type": "exchange-partner"
}
},
"id": "d46b028c-244b-4054-b19b-72f09cd1dc04",
"status": "active",
"created": "2026-02-20T10:14:02.118Z",
"cardDetails": {
"accountNameInquiry": "full-match"
}
}// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var exchangeUrl = "https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a";
token.get(exchangeUrl).then((res) => res.body.id); // => "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a"
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
exchange_url = 'https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a'
exchange = app_token.get(exchange_url)
exchange.body['id'] # => 'e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$exchangesApi = new ExchangesApi($apiClient);
$exchangeUrl = "https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a";
$exchange = $exchangesApi->getExchange($exchangeUrl);
$exchange->id; # => "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
exchange_url = 'https://api.dwolla.com/exchanges/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a'
exchange = app_token.get exchange_url
exchange.id # => "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a"
{
"_links": {},
"id": "d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e",
"status": "active",
"created": "2022-07-23T00:18:21.419Z",
"cardDetails": {
"accountNameInquiry": "full-match"
}
}{
"code": "InvalidScope",
"message": "The scopes for retrieving an exchange resource is not enabled for this application. Reach out to Dwolla for more information."
}{
"code": "NotFound",
"message": "The requested resource was not found. Check Exchange ID."
}